Loading...
Searching...
No Matches
XrdPfc::FsTraversal::FilePairStat Struct Reference

`#include <XrdPfcFsTraversal.hh>`

Collaboration diagram for XrdPfc::FsTraversal::FilePairStat:

## Public Member Functions

bool | has_both () const
void | set_cinfo (const struct stat &s)
void | set_data (const struct stat &s)

## Public Attributes

bool | has_cinfo = false
bool | has_data = false
struct stat stat_data | stat_cinfo

## Detailed Description

Definition at line 23 of file XrdPfcFsTraversal.hh.

## Member Function Documentation

## has_both()

bool XrdPfc::FsTraversal::FilePairStat::has_both | ( |  | ) | const

inline

Definition at line 30 of file XrdPfcFsTraversal.hh.

{ return has_data && has_cinfo; }
XrdPfc::FsTraversal::FilePairStat::has_cinfo
bool has_cinfo
Definition XrdPfcFsTraversal.hh:26
XrdPfc::FsTraversal::FilePairStat::has_data
bool has_data
Definition XrdPfcFsTraversal.hh:25

References has_cinfo, and has_data.

## set_cinfo()

void XrdPfc::FsTraversal::FilePairStat::set_cinfo | ( | const struct stat & | s | ) |

inline

Definition at line 29 of file XrdPfcFsTraversal.hh.

{ stat_cinfo = s; has_cinfo = true; }
XrdPfc::FsTraversal::FilePairStat::stat_cinfo
struct stat stat_data stat_cinfo
Definition XrdPfcFsTraversal.hh:24

References has_cinfo, stat, and stat_cinfo.

## set_data()

void XrdPfc::FsTraversal::FilePairStat::set_data | ( | const struct stat & | s | ) |

inline

Definition at line 28 of file XrdPfcFsTraversal.hh.

{ stat_data = s; has_data = true; }

References has_data, and stat.

## Member Data Documentation

## has_cinfo

bool XrdPfc::FsTraversal::FilePairStat::has_cinfo = false

Definition at line 26 of file XrdPfcFsTraversal.hh.

Referenced by has_both(), and set_cinfo().

## has_data

bool XrdPfc::FsTraversal::FilePairStat::has_data = false

Definition at line 25 of file XrdPfcFsTraversal.hh.

Referenced by has_both(), and set_data().

## stat_cinfo

struct stat stat_data XrdPfc::FsTraversal::FilePairStat::stat_cinfo

Definition at line 24 of file XrdPfcFsTraversal.hh.

Referenced by set_cinfo().

The documentation for this struct was generated from the following file:

- XrdPfcFsTraversal.hh